MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027670Open CASCADE[OCCT] OCCT:Visualizationpublic2016-07-09 22:102017-10-11 16:46
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027670: Visualization - avoid duplication of structures defining primitive array presentation aspects
DescriptionFor the moment, presentation aspects defined in the following way:
- OpenGl_AspectFace, OpenGl_AspectLine, OpenGl_AspectMarker, OpenGl_AspectText.
  Low-level structures per primitive type used for actual rendering on TKOpenGl level.
- Graphic3d_CAspectFillArea, Graphic3d_CAspectLine, Graphic3d_CAspectMarker, Graphic3d_CAspectText.
  Low-level structures per primitive type, used only in Graphic3d_Group as temporary fields.
- Aspect_AspectFillArea, Aspect_AspectLine, Aspect_AspectMarker.
  Low-level structures per primitive type used as a base classes for Graphic3d.
- Graphic3d_AspectFillArea3d, Graphic3d_AspectLine3d, Graphic3d_AspectMarker3d, Graphic3d_AspectText3d.
  Low-level structures inheriting Aspect_ structures, actually used for defining primitive aspects in Graphic3d_Group.
- Prs3d_ShadingAspect, Prs3d_LineAspect, Prs3d_PointAspect, Prs3d_TextAspect.
  Structures inheriting Prs3d_BasicAspect, wrapping Graphic3d_AspectFillArea3d, Graphic3d_AspectLine3d, Graphic3d_AspectMarker3d, Graphic3d_AspectText3d and used in Prs3d_Drawer interface. There also several Prs3d classes aggregating more specific information used within presentation computation (not at rendering).
- Prs3d_Drawer, defines presentation aspects for different parts / representations of the object (e.g. isolines, free boundaries, shading, arrow size etc.).

Several low-level structures actually duplicate the same definition (e.g. Graphic3d_CAspectFillArea -> Graphic3d_AspectFillArea3d -> OpenGl_AspectFace), which introduces redundancy and complicates code maintenance. Therefore, it is proposed to drop Graphic3d_C** structures (temporary holders) and drop duplicated aspects definition from OpenGl_Aspect** classes.

Base classes Aspect_AspectFillArea, Aspect_AspectLine, Aspect_AspectMarker exist for historical reasons and are not required at all - it is suggested to merge their definition into appropriate Graphic3d_ classes.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0028060closedapn Open CASCADE Samples - Objects in Geometry/Viewer2d have incorrect color 

-  Notes
(0055779)
git (administrator)
2016-07-10 01:02

Branch CR27670 has been created by kgv.

SHA-1: f56562e0bfc335d938adbba6e6308fb337146b48


Detailed log of new commits:

Author: kgv
Date: Sun Jul 10 01:02:20 2016 +0300

    0027670: Visualization - avoid duplication of structures defining primitive array presentation aspects
    
    Quantity_ColorRGBA has been introduced as convenient structure holding Vec4 for OpenGL.
    
    Aspect_AspectLine has been merged into Graphic3d_AspectLine3d.
    Aspect_AspectMarker has been merged into Graphic3d_AspectMarker3d.
    
    OpenGl_AspectLine now stores Graphic3d_AspectLine3d as class field.
    OpenGl_AspectMarker now stores Graphic3d_AspectMarker3d as class field.
    OpenGl_AspectText now stores Graphic3d_AspectText3d as class field.
(0055781)
git (administrator)
2016-07-10 16:37

Branch CR27670 has been updated forcibly by kgv.

SHA-1: 0b20c189b2e7fc95d85c62ffb85db58d92bf9499
(0055782)
git (administrator)
2016-07-10 17:13

Branch CR27670 has been updated by kgv.

SHA-1: e74cd6704ba4daecdfd2b269afed54c2a1ed790b


Detailed log of new commits:

Author: kgv
Date: Sun Jul 10 17:13:24 2016 +0300

    Drop InterfaceGraphic_Graphic3d.hxx, InterfaceGraphic_telem.hxx, InterfaceGraphic_tgl_all.hxx
    
    defining obsolete structures CALL_DEF_COLOR, CALL_DEF_POINT,
    CALL_DEF_MATERIAL, CALL_DEF_TRANSFORM_PERSISTENCE, TEL_POINT, TEL_COLOUR.

(0055783)
git (administrator)
2016-07-10 20:41

Branch CR27670 has been updated by kgv.

SHA-1: e51f5aba5fb5fa11b9f12160d765b0db4bcd06f9


Detailed log of new commits:

Author: kgv
Date: Sun Jul 10 20:40:58 2016 +0300

    OpenGl_AspectFace - drop duplicating material definition fields

(0055784)
git (administrator)
2016-07-10 21:11

Branch CR27670 has been updated by kgv.

SHA-1: 09e7aede11f645ad97f13711cf2ded562215e0f3


Detailed log of new commits:

Author: kgv
Date: Sun Jul 10 21:11:41 2016 +0300

    OpenGl_Workspace::ResetAppliedAspect() - do not modify myToCullBackFaces flag

(0055785)
git (administrator)
2016-07-10 21:14

Branch CR27670_1 has been created by kgv.

SHA-1: ce5d29a483f96885dd3082abe0d96aaef3f313a1


Detailed log of new commits:

Author: kgv
Date: Sun Jul 10 21:14:33 2016 +0300

    0027670: Visualization - avoid duplication of structures defining primitive array presentation aspects
    
    Quantity_ColorRGBA has been introduced as convenient structure holding Vec4 for OpenGL.
    Graphic3d_PolygonOffset has been added as replacement for TEL_POFFSET_PARAM.
    
    Duplicating definition of Hatch Styles TEL_HS_*** has been removed;
    Aspect_HatchStyle enum now follows values of TEL_HS_*** for compatibility.
    TelCullMode enum has been removed.
    
    Aspect_AspectLine has been merged into Graphic3d_AspectLine3d.
    Aspect_AspectMarker has been merged into Graphic3d_AspectMarker3d.
    Aspect_AspectFillArea has been merged into Graphic3d_AspectFillArea3d.
    Graphic3d_CAspectFillArea have been removed.
    
    OpenGl_AspectLine now stores Graphic3d_AspectLine3d as class field.
    OpenGl_AspectMarker now stores Graphic3d_AspectMarker3d as class field.
    OpenGl_AspectText now stores Graphic3d_AspectText3d as class field.
    OpenGl_AspectFace now stores Graphic3d_AspectFillArea3d as class field.
    
    OpenGl_Workspace::myAspectFaceApplied and myAspectMarkerApplied have been replaced
    from OpenGl_AspectFace*/OpenGl_AspectMarker*
    to Handle(Graphic3d_AspectFillArea3d)/Handle(Graphic3d_AspectMarker3d).
    This eliminates reading from freed memory
    (e.g. when OpenGl_AspectFace is allocated on stack like in OpenGl_Trihedron).
    
    Headers InterfaceGraphic_Graphic3d.hxx, InterfaceGraphic_telem.hxx, InterfaceGraphic_tgl_all.hxx
    defining obsolete structures CALL_DEF_COLOR, CALL_DEF_POINT,
    CALL_DEF_MATERIAL, CALL_DEF_TRANSFORM_PERSISTENCE, TEL_POINT, TEL_COLOUR
    have been removed.
(0055786)
git (administrator)
2016-07-10 21:57

Branch CR27670_1 has been updated forcibly by kgv.

SHA-1: 6e094c9f2109696e610a9c2644b17bbf22d7899f
(0055787)
kgv (developer)
2016-07-10 22:27

Please test the patch in branch CR27670_1.
(0055788)
git (administrator)
2016-07-10 22:39

Branch CR27670_1 has been updated forcibly by kgv.

SHA-1: 5d0af1cbb3f9273c73234dce852dc22c33a8f864
(0055823)
git (administrator)
2016-07-11 15:14

Branch CR27670_1 has been updated forcibly by mkv.

SHA-1: cef07cde35454133564aca95809cb714679b2666
(0055827)
mkv (tester)
2016-07-11 16:39

Dear BugMaster,
Branch CR27670_1 was rebased on current master of occt git-repository.
SHA-1: cef07cde35454133564aca95809cb714679b2666
(0055828)
mkv (tester)
2016-07-11 16:39

Dear BugMaster,
Branch CR27670_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: cef07cde35454133564aca95809cb714679b2666

There are following compilation errors:
Linux:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR27670_1-master/job/CR27670_1-master-OCCT-Debian70-64-opt-compile/1/parsed_console/ [^]
/dn54/builds/CR27670_1-master/Debian70-64-opt/OCCT/src/OpenGl/OpenGl_Text.cxx:116:33: error: 'const class OpenGl_AspectText' has no member named 'FontName'
/dn54/builds/CR27670_1-master/Debian70-64-opt/OCCT/src/OpenGl/OpenGl_Text.cxx:135:94: error: 'const class OpenGl_AspectText' has no member named 'Angle'

Windows:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR27670_1-master/job/CR27670_1-master-OCCT-Windows-64-VC10-opt-compile/1/parsed_console/ [^]
35>..\..\..\src\OpenGl\OpenGl_Text.cxx(116): error C2039: 'FontName' : is not a member of 'OpenGl_AspectText'
35> D:/builds/CR27670_1-master/Windows-64-VC10-opt/OCCT/src/OpenGl/OpenGl_AspectText.hxx(29) : see declaration of 'OpenGl_AspectText'
35>..\..\..\src\OpenGl\OpenGl_Text.cxx(116): error C2228: left of '.ToCString' must have class/struct/union
35>..\..\..\src\OpenGl\OpenGl_Text.cxx(135): error C2039: 'Angle' : is not a member of 'OpenGl_AspectText'
35> D:/builds/CR27670_1-master/Windows-64-VC10-opt/OCCT/src/OpenGl/OpenGl_AspectText.hxx(29) : see declaration of 'OpenGl_AspectText'

MacOS:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR27670_1-master/job/CR27670_1-master-OCCT-MacOS-opt-compile/1/parsed_console/ [^]
/Users/mnt/builds/CR27670_1-master/MacOS-opt/OCCT/src/OpenGl/OpenGl_Text.cxx:116:33: error: no member named 'FontName' in 'OpenGl_AspectText'
    getGL2PSFontName (theAspect.FontName().ToCString(), aPsFont);
                      ~~~~~~~~~ ^
/Users/mnt/builds/CR27670_1-master/MacOS-opt/OCCT/src/OpenGl/OpenGl_Text.cxx:135:94: error: no member named 'Angle' in 'OpenGl_AspectText'
    gl2psTextOpt (theText.ToCString(), aPsFont, (GLshort)theHeight, GL2PS_TEXT_BL, theAspect.Angle());
                                                                                   ~~~~~~~~~ ^
(0055829)
mkv (tester)
2016-07-11 16:39

Dear kgv,
Branch CR27670_1 has been rejected due to:
- compilation errors
(0055836)
git (administrator)
2016-07-11 20:45

Branch CR27670_1 has been updated by kgv.

SHA-1: b005ae3c50186504cc72e2c3fdb2ae78d0da8dd4


Detailed log of new commits:

Author: kgv
Date: Mon Jul 11 20:45:20 2016 +0300

    Quantity_ColorRGBA - apply remark from abv

(0055839)
git (administrator)
2016-07-11 21:10

Branch CR27670_1 has been updated by kgv.

SHA-1: 7c37cfcd48fad7727d52a74b8eee6dbec06a22cd


Detailed log of new commits:

Author: kgv
Date: Mon Jul 11 22:10:14 2016 +0400

    fix compilation with enabled gl2ps

(0055840)
git (administrator)
2016-07-11 21:33

Branch CR27670_2 has been created by kgv.

SHA-1: d860a79016d9e06503833d50db348a46de3ccae6


Detailed log of new commits:

Author: kgv
Date: Mon Jul 11 21:33:19 2016 +0300

    0027670: Visualization - avoid duplication of structures defining primitive array presentation aspects
    
    Quantity_ColorRGBA has been introduced as convenient structure holding Vec4 for OpenGL.
    Graphic3d_PolygonOffset has been added as replacement for TEL_POFFSET_PARAM.
    
    Duplicating definition of Hatch Styles TEL_HS_*** has been removed;
    Aspect_HatchStyle enum now follows values of TEL_HS_*** for compatibility.
    TelCullMode enum has been removed.
    
    Aspect_AspectLine has been merged into Graphic3d_AspectLine3d.
    Aspect_AspectMarker has been merged into Graphic3d_AspectMarker3d.
    Aspect_AspectFillArea has been merged into Graphic3d_AspectFillArea3d.
    Graphic3d_CAspectFillArea have been removed.
    
    OpenGl_AspectLine now stores Graphic3d_AspectLine3d as class field.
    OpenGl_AspectMarker now stores Graphic3d_AspectMarker3d as class field.
    OpenGl_AspectText now stores Graphic3d_AspectText3d as class field.
    OpenGl_AspectFace now stores Graphic3d_AspectFillArea3d as class field.
    
    OpenGl_Workspace::myAspectFaceApplied and myAspectMarkerApplied have been replaced
    from OpenGl_AspectFace*/OpenGl_AspectMarker*
    to Handle(Graphic3d_AspectFillArea3d)/Handle(Graphic3d_AspectMarker3d).
    This eliminates reading from freed memory
    (e.g. when OpenGl_AspectFace is allocated on stack like in OpenGl_Trihedron).
    
    Headers InterfaceGraphic_Graphic3d.hxx, InterfaceGraphic_telem.hxx, InterfaceGraphic_tgl_all.hxx
    defining obsolete structures CALL_DEF_COLOR, CALL_DEF_POINT,
    CALL_DEF_MATERIAL, CALL_DEF_TRANSFORM_PERSISTENCE, TEL_POINT, TEL_COLOUR
    have been removed.
(0055841)
kgv (developer)
2016-07-11 21:33

Please test updated patch in branch CR27670_2.
(0055861)
mkv (tester)
2016-07-12 16:30

Dear BugMaster,
Branch CR27670_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: d860a79016d9e06503833d50db348a46de3ccae6

There are following compilation errors:
Windows:

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR27670_2-master/job/CR27670_2-master-OCCT-Windows-64-VC10-mfc-samples/1/parsed_console/ [^]
1> StdAfx.cpp
1>d:\install\CR27670_2-master\Windows-64-VC10-opt\OCCT\samples\mfc\standard\Common\..\Common\stdafx.h(34): fatal error C1083: Cannot open include file: 'Aspect_AspectMarker.hxx': No such file or directory
1>
1>Build FAILED.

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR27670_2-master/job/CR27670_2-master-Products-Windows-64-VC10-csharp-samples/1/parsed_console/ [^]
occtypes.i(479) : Error: Unable to find 'Aspect_AspectFillArea.hxx'
occtypes.i(479) : Error: Unable to find 'Aspect_AspectLine.hxx'
occtypes.i(479) : Error: Unable to find 'Aspect_AspectMarker.hxx'

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR27670_2-master/job/CR27670_2-master-Products-Windows-64-VC10-java-samples/1/parsed_console/ [^]
occtypes.i(403) : Error: Unable to find 'Aspect_AspectFillArea.hxx'
occtypes.i(403) : Error: Unable to find 'Aspect_AspectLine.hxx'
occtypes.i(403) : Error: Unable to find 'Aspect_AspectMarker.hxx'

Number of compiler warnings:

occt component :
Linux: 1 (0 on master)
Windows: 1 (0 on master)
MacOS : 1 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1134

There is new additional compilation warning on Linux platform:
http://jenkins-test-07.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_13912/job/CR27670_2-master-OCCT-Debian70-64-opt-compile/1/warnings17Result/ [^]
ViewerTest.cxx:579, GNU C Compiler 4 (gcc), Priority: Normal
'void Graphic3d_AspectLine3d::Values(Quantity_Color&, Aspect_TypeOfLine&, Standard_Real&) const' is deprecated (declared at /dn54/builds/CR27670_2-master/Debian70-64-opt/OCCT/src/Graphic3d/Graphic3d_AspectLine3d.hxx:108): Deprecated method Values() should be replaced by individual property getters [-Wdeprecated-declarations]

There is new additional compilation warning on Windows platform:
http://jenkins-test-07.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_13912/job/CR27670_2-master-OCCT-Windows-64-VC10-opt-compile/1/warnings34Result/ [^]
OpenGl_Text.cxx:135, MSBuild, Priority: Normal
'argument' : conversion from 'Standard_Real' to 'GLfloat', possible loss of data

There is new additional compilation warning on MacOS platform:
http://jenkins-test-07.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_13912/job/CR27670_2-master-OCCT-MacOS-opt-compile/1/warnings7Result/ [^]
ViewerTest.cxx:579, Clang (LLVM based), Priority: Normal
'Values' is deprecated: Deprecated method Values() should be replaced by individual property getters

Regressions/Differences/Improvements:
http://occt-tests/CR27670_2-master-OCCT/Debian70-64/summary.html [^]
http://occt-tests/CR27670_2-master-OCCT/Windows-64-VC10/summary.html [^]
Failed:
  bugs vis buc60915, bug10702, bug26719_1
  v3d mesh A6, B6

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 90090720 / 89831851 [+0.29%]
Total CPU difference: 19185.7899999999 / 19172.450000000044 [+0.07%]
products component :
Total MEMORY difference: 30072888 / 30072539 [+0.00%]
Total CPU difference: 5054.609999999981 / 5084.839999999975 [-0.59%]

Testing on Windows:
occt component :
Total MEMORY difference: 57414187 / 57409145 [+0.01%]
Total CPU difference: 17889.165073398908 / 17718.687180598896 [+0.96%]
products component :
Total MEMORY difference: 21253883 / 21204109 [+0.23%]
Total CPU difference: 4797.7795547999485 / 4796.437946199949 [+0.03%]

There are following differences in images found by testdiff.
http://occt-tests/CR27670_2-master-OCCT/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR27670_2-master-OCCT/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE v3d manipulator rotate: rotate_4.png differs
IMAGE v3d manipulator rotate: rotate_2.png differs
IMAGE v3d manipulator rotate: rotate_5.png differs
IMAGE v3d manipulator rotate: rotate_1.png differs
IMAGE v3d manipulator rotate: rotate_3.png differs
IMAGE v3d manipulator scale: scale_1.png differs
IMAGE v3d manipulator scale: scale_2.png differs
IMAGE v3d manipulator zoom_persistence: zoom_persistence_2.png differs
IMAGE v3d manipulator zoom_persistence: zoom_persistence_3.png differs
IMAGE v3d manipulator zoom_persistence: zoom_persistence_6.png differs
IMAGE v3d manipulator zoom_persistence: zoom_persistence_1.png differs
IMAGE v3d manipulator zoom_persistence: zoom_persistence_4.png differs
IMAGE v3d manipulator zoom_persistence: zoom_persistence_5.png differs
IMAGE v3d manipulator translate: translate_1.png differs
IMAGE v3d manipulator translate: translate_4.png differs
IMAGE v3d manipulator translate: translate_2.png differs
IMAGE v3d manipulator translate: translate_3.png differs
IMAGE v3d manipulator translate: translate_5.png differs
IMAGE v3d materials bug24872_2: bug24872_2.png differs
IMAGE v3d materials bug24855: bug24855_rt_neon_phc.png differs
IMAGE bugs vis bug24837_2: bug24837_2_2_2.png differs
IMAGE bugs vis bug24837_2: bug24837_2_2_3.png differs
IMAGE bugs vis bug281_6: bug281_6.png differs
IMAGE bugs vis bug281_1: bug281_1.png differs
IMAGE bugs vis bug281_11: bug281_11.png differs
IMAGE bugs vis bug281_9: bug281_9.png differs
IMAGE bugs vis bug25672: bug25672.png differs
IMAGE bugs vis bug281_3: bug281_3.png differs
IMAGE bugs vis bug281_5: bug281_5.png differs
IMAGE bugs vis bug281_13: bug281_13.png differs
IMAGE bugs vis bug281_10: bug281_10.png differs
IMAGE bugs vis bug281_7: bug281_7.png differs
IMAGE bugs vis bug281_12: bug281_12.png differs
IMAGE bugs vis bug281_4: bug281_4.png differs
IMAGE bugs vis bug25671: bug25671.png differs
IMAGE bugs vis bug301: bug301.png differs
IMAGE bugs vis buc60821: buc60821.png differs
IMAGE bugs vis bug281_8: bug281_8.png differs
IMAGE bugs vis bug281_2: bug281_2.png differs
IMAGE bugs modalg_2 bug22196: bug22196.png differs
IMAGE bugs modalg_5 bug25408: bug25408.png differs
IMAGE bugs modalg_5 bug24037_1: bug24037_1.png differs
IMAGE bugs modalg_6 bug26218: bug26218.png differs
(0055862)
mkv (tester)
2016-07-12 16:31

Dear kgv,
Branch CR27670_2 has been rejected due to:
- compilation errors
- additional warnings
- regressions/differences/improvements
- differences in images
(0055866)
git (administrator)
2016-07-12 19:55

Branch CR27670_2 has been updated by kgv.

SHA-1: 759308eb27458178652b2746bc4508550188bcf1


Detailed log of new commits:

Author: kgv
Date: Tue Jul 12 19:55:27 2016 +0300

    OpenGl_PrimitiveArray::drawEdges() - fix drawing non-indexed array from VBO

(0055867)
git (administrator)
2016-07-12 20:59

Branch CR27670_2 has been updated by kgv.

SHA-1: c3217dca98233d4b95812f54b30a3a6217fa4f11


Detailed log of new commits:

Author: kgv
Date: Tue Jul 12 20:56:00 2016 +0300

    AIS_Manipulator::Compute() - create dedicated Face Aspect for each axis

Author: kgv
Date: Tue Jul 12 20:46:38 2016 +0300

    fix compiler warnings

Author: kgv
Date: Tue Jul 12 20:43:45 2016 +0300

    MeshVS_NodalColorPrsBuilder, MeshVS_MeshPrsBuilder, MeshVS_ElementalColorPrsBuilder,
    redundant and erroneous SetEdgeOff()/SetEdgeOn() have been removed.

(0055868)
git (administrator)
2016-07-12 21:10

Branch CR27670_2 has been updated by kgv.

SHA-1: c753e8399cfdf9926912bc05de7dce46963ac3ab


Detailed log of new commits:

Author: kgv
Date: Tue Jul 12 21:10:29 2016 +0300

    AIS_Dimension::DrawArrow() - add missing initialization of 3D arrow aspect

(0055869)
git (administrator)
2016-07-12 21:17

Branch CR27670_2 has been updated by kgv.

SHA-1: eaea9a4271d22ac85dccec377a3ba4864835ef7a


Detailed log of new commits:

Author: kgv
Date: Tue Jul 12 21:17:08 2016 +0300

    Drop useless and broken test case bugs/vis/buc60821

(0055870)
git (administrator)
2016-07-12 21:26

Branch CR27670_2 has been updated by kgv.

SHA-1: fb111dbf2a7563481ad53b3932e816a8c72991a0


Detailed log of new commits:

Author: kgv
Date: Tue Jul 12 21:26:11 2016 +0300

    V3d_CircularGrid, V3d_RectangularGrid - create dedicated line aspects with different color

(0055871)
git (administrator)
2016-07-12 21:53

Branch CR27670_2 has been updated by kgv.

SHA-1: 28934fb26a13feb075a4b0ecd4c4a368f8cc2d24


Detailed log of new commits:

Author: kgv
Date: Tue Jul 12 21:53:42 2016 +0300

    AIS_InteractiveObject::SetMaterial() - do not modify global ShadingAspect

(0055872)
git (administrator)
2016-07-12 22:33

Branch CR27670_2 has been updated by kgv.

SHA-1: f5ec172ed49bad4c3f2ceae832889267827432ec


Detailed log of new commits:

Author: kgv
Date: Tue Jul 12 22:32:36 2016 +0300

    OpenGl_View::convertMaterial() - fix Graphic3d_NOM_NEON_PHC material

(0055873)
git (administrator)
2016-07-13 00:15

Branch CR27670_2 has been updated by kgv.

SHA-1: 7699169b04b3d88799a58da921d82d50aff27971


Detailed log of new commits:

Author: kgv
Date: Wed Jul 13 00:15:04 2016 +0300

    Graphic3d_AspectFillArea3d - back face culling is now enabled by default.
    TKOpenGl now relies on Graphic3d_Group::IsClosed() flag to disable face culling.
    StdPrs_ShadedShape now does not modify aspect for different culling modes.

(0055874)
git (administrator)
2016-07-13 00:19

Branch CR27670_3 has been created by kgv.

SHA-1: e183cae0ff37590c653ec7115ce925bdd54304eb


Detailed log of new commits:

Author: kgv
Date: Wed Jul 13 00:19:27 2016 +0300

    0027670: Visualization - avoid duplication of structures defining primitive array presentation aspects
    
    Quantity_ColorRGBA has been introduced as convenient structure holding Vec4 for OpenGL.
    Graphic3d_PolygonOffset has been added as replacement for TEL_POFFSET_PARAM.
    
    Duplicating definition of Hatch Styles TEL_HS_*** has been removed;
    Aspect_HatchStyle enum now follows values of TEL_HS_*** for compatibility.
    TelCullMode enum has been removed.
    
    Aspect_AspectLine has been merged into Graphic3d_AspectLine3d.
    Aspect_AspectMarker has been merged into Graphic3d_AspectMarker3d.
    Aspect_AspectFillArea has been merged into Graphic3d_AspectFillArea3d.
    Graphic3d_CAspectFillArea have been removed.
    
    OpenGl_AspectLine now stores Graphic3d_AspectLine3d as class field.
    OpenGl_AspectMarker now stores Graphic3d_AspectMarker3d as class field.
    OpenGl_AspectText now stores Graphic3d_AspectText3d as class field.
    OpenGl_AspectFace now stores Graphic3d_AspectFillArea3d as class field.
    
    Graphic3d_AspectFillArea3d - back face culling is now enabled by default.
    TKOpenGl now relies on Graphic3d_Group::IsClosed() flag to disable face culling.
    StdPrs_ShadedShape now does not modify aspect for different culling modes.
    
    Headers InterfaceGraphic_Graphic3d.hxx, InterfaceGraphic_telem.hxx, InterfaceGraphic_tgl_all.hxx
    defining obsolete structures CALL_DEF_COLOR, CALL_DEF_POINT,
    CALL_DEF_MATERIAL, CALL_DEF_TRANSFORM_PERSISTENCE, TEL_POINT, TEL_COLOUR
    have been removed.
    
    Useless and broken test case bugs/vis/buc60821 has been removed.
    
    OpenGl_Workspace::myAspectFaceApplied and myAspectMarkerApplied have been replaced
    from OpenGl_AspectFace*/OpenGl_AspectMarker*
    to Handle(Graphic3d_AspectFillArea3d)/Handle(Graphic3d_AspectMarker3d).
    This eliminates reading from freed memory
    (e.g. when OpenGl_AspectFace is allocated on stack like in OpenGl_Trihedron).
    
    OpenGl_PrimitiveArray::drawEdges() - fix drawing non-indexed array from VBO (access violation due to NULL handle).
    
    AIS_Dimension::DrawArrow() - added missing initialization of 3D arrow aspect.
    AIS_Manipulator::Compute() now creates dedicated Face Aspect for each axis.
    V3d_CircularGrid, V3d_RectangularGrid now create dedicated line aspects with different color.
    AIS_InteractiveObject::SetMaterial() - do not modify global ShadingAspect.
(0055875)
kgv (developer)
2016-07-13 00:24

Please test updated patch in branch CR27670_3 (with branch in Products updating C#/Java wrappers).
(0055886)
mkv (tester)
2016-07-13 16:47

Dear BugMaster,
Branch CR27670_3 from occt git-repository (and CR27670_3 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: e183cae0ff37590c653ec7115ce925bdd54304eb
SHA-1: 50342552a10e309c8bbda098a5dfff982c001648

There are following compilation errors:
Windows:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR27670_3-CR27670_3/job/CR27670_3-CR27670_3-Products-Windows-64-VC10-csharp-samples/1/parsed_console/ [^]
...
d:\install\CR27670_3-CR27670_3\Windows-64-VC10-opt\OCCT\inc\Graphic3d_AspectFillArea3d.hxx(999999) : Error: Syntax error in input(3).
...
1>c1xx : fatal error C1083: Cannot open source file: 'occcsharp_wrap.cxx': No such file or directory
1>

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR27670_3-CR27670_3/job/CR27670_3-CR27670_3-Products-Windows-64-VC10-java-samples/1/parsed_console/ [^]
...
d:\install\CR27670_3-CR27670_3\Windows-64-VC10-opt\OCCT\inc\Graphic3d_AspectFillArea3d.hxx(999999) : Error: Syntax error in input(3).
...
CMake Error: CMake can not determine linker language for target: OCCwrapJava
...

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1148

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 89879563 / 89912610 [-0.04%]
Total CPU difference: 19222.53999999991 / 19173.260000000046 [+0.26%]
products component :
Total MEMORY difference: 30132191 / 30064425 [+0.23%]
Total CPU difference: 5082.249999999957 / 5083.619999999974 [-0.03%]

Testing on Windows:
occt component :
Total MEMORY difference: 57429765 / 57421106 [+0.02%]
Total CPU difference: 18175.72331029893 / 17719.794787698895 [+2.57%]
products component :
Total MEMORY difference: 21262074 / 21211131 [+0.24%]
Total CPU difference: 4874.67244769995 / 4797.732754499949 [+1.60%]

There are following differences in images found by testdiff.
http://occt-tests/CR27670_3-CR27670_3-OCCT/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR27670_3-CR27670_3-OCCT/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE v3d materials bug24855: bug24855_rt_plaster.png differs
(0055887)
mkv (tester)
2016-07-13 16:48

Dear kgv,
Branch CR27670_3 has been rejected due to:
- compilation errors
- differences in images
(0055893)
git (administrator)
2016-07-13 19:35

Branch CR27670_3 has been updated by kgv.

SHA-1: 5db792aff087b546e9eb8b15624cd7986163f11d


Detailed log of new commits:

Author: kgv
Date: Wed Jul 13 19:34:45 2016 +0300

    OpenGl_View::convertMaterial() - adjust OpenGl_RaytraceMaterial::Reflection to preserve current behavior

(0055894)
git (administrator)
2016-07-13 19:36

Branch CR27670_4 has been created by kgv.

SHA-1: 220d1eb128d4833836e249080ffa0692ebea0d72


Detailed log of new commits:

Author: kgv
Date: Wed Jul 13 19:36:20 2016 +0300

    0027670: Visualization - avoid duplication of structures defining primitive array presentation aspects
    
    Quantity_ColorRGBA has been introduced as convenient structure holding Vec4 for OpenGL.
    Graphic3d_PolygonOffset has been added as replacement for TEL_POFFSET_PARAM.
    
    Duplicating definition of Hatch Styles TEL_HS_*** has been removed;
    Aspect_HatchStyle enum now follows values of TEL_HS_*** for compatibility.
    TelCullMode enum has been removed.
    
    Aspect_AspectLine has been merged into Graphic3d_AspectLine3d.
    Aspect_AspectMarker has been merged into Graphic3d_AspectMarker3d.
    Aspect_AspectFillArea has been merged into Graphic3d_AspectFillArea3d.
    Graphic3d_CAspectFillArea have been removed.
    
    OpenGl_AspectLine now stores Graphic3d_AspectLine3d as class field.
    OpenGl_AspectMarker now stores Graphic3d_AspectMarker3d as class field.
    OpenGl_AspectText now stores Graphic3d_AspectText3d as class field.
    OpenGl_AspectFace now stores Graphic3d_AspectFillArea3d as class field.
    
    Graphic3d_AspectFillArea3d - back face culling is now enabled by default.
    TKOpenGl now relies on Graphic3d_Group::IsClosed() flag to disable face culling.
    StdPrs_ShadedShape now does not modify aspect for different culling modes.
    
    Headers InterfaceGraphic_Graphic3d.hxx, InterfaceGraphic_telem.hxx, InterfaceGraphic_tgl_all.hxx
    defining obsolete structures CALL_DEF_COLOR, CALL_DEF_POINT,
    CALL_DEF_MATERIAL, CALL_DEF_TRANSFORM_PERSISTENCE, TEL_POINT, TEL_COLOUR
    have been removed.
    
    Useless and broken test case bugs/vis/buc60821 has been removed.
    
    OpenGl_Workspace::myAspectFaceApplied and myAspectMarkerApplied have been replaced
    from OpenGl_AspectFace*/OpenGl_AspectMarker*
    to Handle(Graphic3d_AspectFillArea3d)/Handle(Graphic3d_AspectMarker3d).
    This eliminates reading from freed memory
    (e.g. when OpenGl_AspectFace is allocated on stack like in OpenGl_Trihedron).
    
    OpenGl_PrimitiveArray::drawEdges() - fix drawing non-indexed array from VBO (access violation due to NULL handle).
    
    AIS_Dimension::DrawArrow() - added missing initialization of 3D arrow aspect.
    AIS_Manipulator::Compute() now creates dedicated Face Aspect for each axis.
    V3d_CircularGrid, V3d_RectangularGrid now create dedicated line aspects with different color.
    AIS_InteractiveObject::SetMaterial() - do not modify global ShadingAspect.
(0055895)
kgv (developer)
2016-07-13 19:39

The regressions should be fixed now - please check branches CR27670_4 for occt and Products.
(0055905)
mkv (tester)
2016-07-14 12:45

Dear BugMaster,
Branch CR27670_4 from occt git-repository (and CR27670_4 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 220d1eb128d4833836e249080ffa0692ebea0d72
SHA-1: ff959955dce6cd3da207ef2f459542bff23c3010

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1137

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 90084025 / 89886917 [+0.22%]
Total CPU difference: 19273.93000000004 / 19173.570000000043 [+0.52%]
products component :
Total MEMORY difference: 30102768 / 30074516 [+0.09%]
Total CPU difference: 5085.3899999999685 / 5084.959999999975 [+0.01%]

Testing on Windows:
occt component :
Total MEMORY difference: 57425846 / 57420887 [+0.01%]
Total CPU difference: 18303.56612979883 / 17719.716787198897 [+3.29%]
products component :
Total MEMORY difference: 21262082 / 21211131 [+0.24%]
Total CPU difference: 4823.457319399953 / 4797.732754499949 [+0.54%]

There are no differences in images found by testdiff.
(0055906)
mkv (tester)
2016-07-14 12:45

Dear BugMaster,
Branch CR27670_4 is TESTED.
(0055976)
kgv (developer)
2016-07-15 21:00
edited on: 2016-07-15 21:05

Memory usage statistics on test case from 0026612:0055477 (vc12 win64),
before the patch:
  Private memory:     644 MiB
  Working Set:        645 MiB (peak: 733 MiB)
  Pagefile usage:     644 MiB (peak: 732 MiB)
  Virtual memory:     904 MiB
  Heap memory:     519 MiB


after patch:
  Private memory:     632 MiB
  Working Set:        632 MiB (peak: 719 MiB)
  Pagefile usage:     632 MiB (peak: 718 MiB)
  Virtual memory:     896 MiB
  Heap memory:     506 MiB


(0056105)
git (administrator)
2016-07-22 10:43

Branch CR27670_4 has been deleted by inv.

SHA-1: 220d1eb128d4833836e249080ffa0692ebea0d72
(0056106)
git (administrator)
2016-07-22 10:43

Branch CR27670_3 has been deleted by inv.

SHA-1: 5db792aff087b546e9eb8b15624cd7986163f11d
(0056108)
git (administrator)
2016-07-22 10:44

Branch CR27670_2 has been deleted by inv.

SHA-1: 7699169b04b3d88799a58da921d82d50aff27971
(0056110)
git (administrator)
2016-07-22 10:44

Branch CR27670_1 has been deleted by inv.

SHA-1: 7c37cfcd48fad7727d52a74b8eee6dbec06a22cd
(0056116)
git (administrator)
2016-07-22 10:44

Branch CR27670 has been deleted by inv.

SHA-1: 09e7aede11f645ad97f13711cf2ded562215e0f3

- Related Changesets
occt: master b6472664
Timestamp: 2016-07-13 16:36:20
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027670: Visualization - avoid duplication of structures defining primitive array presentation aspects

Quantity_ColorRGBA has been introduced as convenient structure holding Vec4 for OpenGL.
Graphic3d_PolygonOffset has been added as replacement for TEL_POFFSET_PARAM.

Duplicating definition of Hatch Styles TEL_HS_*** has been removed;
Aspect_HatchStyle enum now follows values of TEL_HS_*** for compatibility.
TelCullMode enum has been removed.

Aspect_AspectLine has been merged into Graphic3d_AspectLine3d.
Aspect_AspectMarker has been merged into Graphic3d_AspectMarker3d.
Aspect_AspectFillArea has been merged into Graphic3d_AspectFillArea3d.
Graphic3d_CAspectFillArea have been removed.

OpenGl_AspectLine now stores Graphic3d_AspectLine3d as class field.
OpenGl_AspectMarker now stores Graphic3d_AspectMarker3d as class field.
OpenGl_AspectText now stores Graphic3d_AspectText3d as class field.
OpenGl_AspectFace now stores Graphic3d_AspectFillArea3d as class field.

Graphic3d_AspectFillArea3d - back face culling is now enabled by default.
TKOpenGl now relies on Graphic3d_Group::IsClosed() flag to disable face culling.
StdPrs_ShadedShape now does not modify aspect for different culling modes.

Headers InterfaceGraphic_Graphic3d.hxx, InterfaceGraphic_telem.hxx, InterfaceGraphic_tgl_all.hxx
defining obsolete structures CALL_DEF_COLOR, CALL_DEF_POINT,
CALL_DEF_MATERIAL, CALL_DEF_TRANSFORM_PERSISTENCE, TEL_POINT, TEL_COLOUR
have been removed.

Useless and broken test case bugs/vis/buc60821 has been removed.

OpenGl_Workspace::myAspectFaceApplied and myAspectMarkerApplied have been replaced
from OpenGl_AspectFace*/OpenGl_AspectMarker*
to Handle(Graphic3d_AspectFillArea3d)/Handle(Graphic3d_AspectMarker3d).
This eliminates reading from freed memory
(e.g. when OpenGl_AspectFace is allocated on stack like in OpenGl_Trihedron).

OpenGl_PrimitiveArray::drawEdges() - fix drawing non-indexed array from VBO (access violation due to NULL handle).

AIS_Dimension::DrawArrow() - added missing initialization of 3D arrow aspect.
AIS_Manipulator::Compute() now creates dedicated Face Aspect for each axis.
V3d_CircularGrid, V3d_RectangularGrid now create dedicated line aspects with different color.
AIS_InteractiveObject::SetMaterial() - do not modify global ShadingAspect.
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - samples/mfc/standard/Common/StdAfx.h Diff ] File ]
mod - src/AIS/AIS_Dimension.cxx Diff ] File ]
mod - src/AIS/AIS_GraphicTool.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveObject.cxx Diff ] File ]
mod - src/AIS/AIS_Manipulator.cxx Diff ] File ]
mod - src/AIS/AIS_Plane.cxx Diff ] File ]
mod - src/AIS/AIS_Point.cxx Diff ] File ]
mod - src/AIS/AIS_PointCloud.cxx Diff ] File ]
mod - src/AIS/AIS_RubberBand.cxx Diff ] File ]
mod - src/AIS/AIS_TextLabel.cxx Diff ] File ]
mod - src/AIS/AIS_TextLabel.hxx Diff ] File ]
mod - src/AIS/AIS_TexturedShape.cxx Diff ] File ]
rm - src/Aspect/Aspect_AspectFillArea.cxx Diff ] File ]
rm - src/Aspect/Aspect_AspectFillArea.hxx Diff ] File ]
rm - src/Aspect/Aspect_AspectLine.cxx Diff ] File ]
rm - src/Aspect/Aspect_AspectLine.hxx Diff ] File ]
rm - src/Aspect/Aspect_AspectMarker.cxx Diff ] File ]
rm - src/Aspect/Aspect_AspectMarker.hxx Diff ] File ]
mod - src/Aspect/Aspect_HatchStyle.hxx Diff ] File ]
mod - src/Aspect/FILES Diff ] File ]
mod - src/DsgPrs/DsgPrs.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_AnglePresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_DatumPrs.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_DiameterPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_EllipseRadiusPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_FilletRadiusPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_FixPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_IdenticPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_LengthPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_OffsetPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_RadiusPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_SymmetricPresentation.cxx Diff ] File ]
mod - src/Graphic3d/FILES Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectFillArea3d.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectFillArea3d.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectLine3d.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectLine3d.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectMarker3d.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectMarker3d.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectText3d.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectText3d.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_CAspectFillArea.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_CAspectMarker.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_CAspectText.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CLight.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ClipPlane.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CStructure.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Group.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Group.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Vertex.hxx Diff ] File ]
mod - src/InterfaceGraphic/FILES Diff ] File ]
rm - src/InterfaceGraphic/InterfaceGraphic_Graphic3d.hxx Diff ] File ]
rm - src/InterfaceGraphic/InterfaceGraphic_telem.hxx Diff ] File ]
rm - src/InterfaceGraphic/InterfaceGraphic_tgl_all.hxx Diff ] File ]
mod - src/MeshVS/MeshVS_ElementalColorPrsBuilder.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_MeshPrsBuilder.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_NodalColorPrsBuilder.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectFace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectFace.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectLine.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectLine.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectMarker.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectMarker.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectText.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectText.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_BackgroundArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraduatedTrihedron.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraduatedTrihedron.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Group.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Group.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Layer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Layer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_LineAttributes.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_LineAttributes.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Matrix.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderStates.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextParam.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Trihedron.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
mod - src/QABugs/FILES Diff ] File ]
mod - src/QABugs/QABugs_17.cxx Diff ] File ]
rm - src/QABugs/QABugs_MyText.cxx Diff ] File ]
rm - src/QABugs/QABugs_MyText.hxx Diff ] File ]
mod - src/Quantity/FILES Diff ] File ]
mod - src/Quantity/Quantity_Color.cxx Diff ] File ]
mod - src/Quantity/Quantity_Color.hxx Diff ] File ]
add - src/Quantity/Quantity_ColorRGBA.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_BndBox.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_ShadedShape.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_ShadedSurface.cxx Diff ] File ]
mod - src/V3d/V3d_CircularGrid.cxx Diff ] File ]
mod - src/V3d/V3d_RectangularGrid.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff ] File ]
rm - tests/bugs/vis/buc60821 Diff ] File ]
mod - tests/bugs/vis/bug24837_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-07-09 22:10 kgv New Issue
2016-07-09 22:10 kgv Assigned To => kgv
2016-07-10 01:02 git Note Added: 0055779
2016-07-10 16:37 git Note Added: 0055781
2016-07-10 17:13 git Note Added: 0055782
2016-07-10 20:41 git Note Added: 0055783
2016-07-10 21:11 git Note Added: 0055784
2016-07-10 21:14 git Note Added: 0055785
2016-07-10 21:57 git Note Added: 0055786
2016-07-10 22:27 kgv Note Added: 0055787
2016-07-10 22:27 kgv Assigned To kgv => bugmaster
2016-07-10 22:27 kgv Status new => resolved
2016-07-10 22:27 kgv Status resolved => reviewed
2016-07-10 22:39 git Note Added: 0055788
2016-07-11 12:24 mkv Assigned To bugmaster => mkv
2016-07-11 12:24 mkv Test case number => Not needed
2016-07-11 15:14 git Note Added: 0055823
2016-07-11 16:39 mkv Note Added: 0055827
2016-07-11 16:39 mkv Note Added: 0055828
2016-07-11 16:39 mkv Note Added: 0055829
2016-07-11 16:39 mkv Assigned To mkv => kgv
2016-07-11 16:39 mkv Status reviewed => assigned
2016-07-11 20:45 git Note Added: 0055836
2016-07-11 21:10 git Note Added: 0055839
2016-07-11 21:33 git Note Added: 0055840
2016-07-11 21:33 kgv Note Added: 0055841
2016-07-11 21:33 kgv Assigned To kgv => bugmaster
2016-07-11 21:33 kgv Status assigned => resolved
2016-07-11 21:34 kgv Status resolved => reviewed
2016-07-12 11:26 mkv Assigned To bugmaster => mkv
2016-07-12 16:30 mkv Note Added: 0055861
2016-07-12 16:31 mkv Note Added: 0055862
2016-07-12 16:31 mkv Assigned To mkv => kgv
2016-07-12 16:31 mkv Status reviewed => assigned
2016-07-12 19:55 git Note Added: 0055866
2016-07-12 20:59 git Note Added: 0055867
2016-07-12 21:10 git Note Added: 0055868
2016-07-12 21:17 git Note Added: 0055869
2016-07-12 21:26 git Note Added: 0055870
2016-07-12 21:53 git Note Added: 0055871
2016-07-12 22:33 git Note Added: 0055872
2016-07-13 00:15 git Note Added: 0055873
2016-07-13 00:19 git Note Added: 0055874
2016-07-13 00:24 kgv Note Added: 0055875
2016-07-13 00:24 kgv Assigned To kgv => bugmaster
2016-07-13 00:24 kgv Status assigned => resolved
2016-07-13 00:24 kgv Status resolved => reviewed
2016-07-13 12:22 mkv Assigned To bugmaster => mkv
2016-07-13 16:47 mkv Note Added: 0055886
2016-07-13 16:48 mkv Note Added: 0055887
2016-07-13 16:48 mkv Assigned To mkv => kgv
2016-07-13 16:48 mkv Status reviewed => assigned
2016-07-13 19:35 git Note Added: 0055893
2016-07-13 19:36 git Note Added: 0055894
2016-07-13 19:39 kgv Note Added: 0055895
2016-07-13 19:39 kgv Assigned To kgv => bugmaster
2016-07-13 19:39 kgv Status assigned => resolved
2016-07-13 19:39 kgv Status resolved => reviewed
2016-07-13 19:47 mkv Assigned To bugmaster => mkv
2016-07-14 12:45 mkv Note Added: 0055905
2016-07-14 12:45 mkv Note Added: 0055906
2016-07-14 12:45 mkv Assigned To mkv => bugmaster
2016-07-14 12:45 mkv Status reviewed => tested
2016-07-15 10:44 bugmaster Changeset attached => occt master b6472664
2016-07-15 10:44 bugmaster Status tested => verified
2016-07-15 10:44 bugmaster Resolution open => fixed
2016-07-15 21:00 kgv Note Added: 0055976
2016-07-15 21:01 kgv Note Edited: 0055976 View Revisions
2016-07-15 21:01 kgv Note Edited: 0055976 View Revisions
2016-07-15 21:03 kgv Note Edited: 0055976 View Revisions
2016-07-15 21:04 kgv Note Edited: 0055976 View Revisions
2016-07-15 21:05 kgv Note Edited: 0055976 View Revisions
2016-07-22 10:43 git Note Added: 0056105
2016-07-22 10:43 git Note Added: 0056106
2016-07-22 10:44 git Note Added: 0056108
2016-07-22 10:44 git Note Added: 0056110
2016-07-22 10:44 git Note Added: 0056116
2016-07-22 15:40 kgv Relationship added related to 0027702
2016-07-25 00:19 kgv Relationship added related to 0027709
2016-11-08 11:47 kgv Relationship added parent of 0028060
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:40 user533 Fixed in Version => 7.1.0
2017-10-11 16:46 kgv Relationship added parent of 0029201


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker